[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFC: Removing old ncurses versions



On Wed, Jul 04, 2001 at 12:35:50PM +0200, Edward Betts wrote:
> Martin Michlmayr <tbm@cyrius.com> wrote:
> > * Daniel Jacobowitz <dan@debian.org> [20010413 22:20]:
> > > I would like to have at least oldncurses (ncurses3.0) and ncurses3.4 removed
> > > from the archive.  Nothing in main on x86 or powerpc depends on either; does
> > > anyone know of any commercial applications which require either, etc.?
> > 
> > There have not been any objections on -devel, so can we do that now?
> > 
> > > I'd actually LIKE to pull libncurses4 also.  Some things still use it, but
> > > rebuilding them should be painless.  So again, does anyone have
> > > closed-source applications which require either?
> > 
> > 6 packages still depend on it.  Any volunteers?
> 
> * #93938: jmon could be recompiled against libncurses5
>   Package: jmon; Severity: wishlist; Reported by: Edward Betts <edward@debian.org>; 81 days old.
> * #93943: consider rebuilding with libncurses5?
>   Package: netris; Severity: wishlist; Reported by: Edward Betts <edward@debian.org>; 81 days old.
> * #102472: recompile with libncurses5?
>   Package: wxd; Severity: wishlist; Reported by: Edward Betts <edward@debian.org>; 7 days old.
> * #102475: recompile with libncurses5?
>   Package: ngs-js; Severity: wishlist; Reported by: Edward Betts <edward@debian.org>; 7 days old.
> 
> Just made an upload of jmon fixing Bug#93938.

Here's the current list in unstable:

Depends on ncurses3.0: m68k/scilab

Depends on ncurses4:
atari800/i386
netris/alpha,arm,i386,m68k,powerpc
scm/alpha
wxd/alpha,arm,i386,powerpc
swi-prolog/arm
timidity/m68k
ppxp/powerpc
rscheme/powerpc
hexcurse/sh
info/sh
mtr-tiny,mtr/sh
cxterm-common/alpha
xfractint/powerpc
oleo/hurd-i386
tcsh/hurd-i386
xaos/hurd-i386

Rscheme/powerpc is probably ignorable; newer versions of rscheme don't
even build on PowerPC.  Netris and WXD have had your bugs open for
almost six months.  The others need to be recompiled on their various
architectures.

What's the policy here?  Do we need to have all these fixed before
removing ncurses4 from the archive?

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Reply to: